#ifndef ONEWIRE_H_INCLUDED
#define ONEWIRE_H_INCLUDED

void ONEWIRE_Init(void);
void ONEWIRE_Activate(void);
void ONEWIRE_SendReset(void);
uint8_t ONEWIRE_SendData(uint8_t *buffer, uint8_t length);
void (*ONEWIRE_ReceiveComplete)(void);
void (*ONEWIRE_ReceiveError)(void);
void (*ONEWIRE_DevicePresent)(void);
void (*ONEWIRE_DeviceNotPresent)(void);

#endif // ONEWIRE_H_INCLUDED
